package cn.ibizlab.core.dict.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import java.util.Map;
import org.apache.ibatis.annotations.Select;
import cn.ibizlab.core.dict.domain.IBZDict;
import cn.ibizlab.core.dict.filter.IBZDictSearchContext;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Cacheable;
import java.io.Serializable;
import com.baomidou.mybatisplus.core.toolkit.Constants;


public interface IBZDictMapper extends BaseMapper<IBZDict>{

    Page<IBZDict> searchDefault(IPage page, @Param("srf") IBZDictSearchContext context, @Param("ew") Wrapper<IBZDict> wrapper) ;
    @Override
    IBZDict selectById(Serializable id);
    @Override
    int insert(IBZDict entity);
    @Override
    int updateById(@Param(Constants.ENTITY) IBZDict entity);
    @Override
    int deleteById(Serializable id);
    Page<IBZDict> selectPermission(IPage page,@Param("pw") Wrapper<IBZDict> wrapper) ;


}
